import { IgcCancelEventArgs } from "igniteui-webcomponents-core";
/**
 * Event arguments for the
 * contextMenuOpening event.
*/
export class IgcSpreadsheetContextMenuOpeningEventArgs extends IgcCancelEventArgs {
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor() {
        super();
    }
    /**
     * Returns the area for which the menu is being displayed
    */
    get menuArea() {
        return this.i.menuArea;
    }
}
